Cuộc gọi (calls) — Tạo
Tạo mới một cuộc gọi qua POST.
Endpoint POST /v1/calls tạo mới một cuộc gọi.
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
POST | /v1/calls | Tạo mới cuộc gọi |
Tham số thân yêu cầu (Body Parameters)
| Tham số | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
direction | string | Có | inbound | outbound |
contact_id | string | Có | Liên hệ của cuộc gọi |
deal_id | string | Không | Cơ hội liên quan |
duration_seconds | number | Không | Thời lượng (giây) |
outcome | string | Không | connected | missed | voicemail |
notes | string | Không | Ghi chú cuộc gọi |
Kiểm thử tại chỗ
POST
https://crm-gateways.hitechcloud.vn/v1/callsKiểm thử tại chỗGửi thử sẽ ghi dữ liệu thật trên môi trường được chọn. Nên thử trên Sandbox trước. Token không được lưu lại.
Body
cURL tạo mới
curl -X POST "https://crm-gateways.hitechcloud.vn/v1/calls" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"direction": "outbound",
"contact_id": "con_8f2a1c9d",
"duration_seconds": 320,
"outcome": "connected"
}'Phản hồi (201 Created)
{
"status": "success",
"data": {
"id": "call_9a8b7c6d",
"direction": "outbound",
"contact_id": "con_8f2a1c9d",
"deal_id": "deal_a19c330e",
"duration_seconds": 320,
"outcome": "connected",
"notes": "Khach dong y nhan bao gia",
"called_at": "2026-10-31 11:00:00",
"created_at": "2026-10-31T11:05:00+07:00"
}
}Endpoint POST /v1/calls tạo mới một cuộc gọi.
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
POST | /v1/calls | Tạo mới cuộc gọi |
Tham số thân yêu cầu (Body Parameters)
| Tham số | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
direction | string | Có | inbound | outbound |
contact_id | string | Có | Liên hệ của cuộc gọi |
deal_id | string | Không | Cơ hội liên quan |
duration_seconds | number | Không | Thời lượng (giây) |
outcome | string | Không | connected | missed | voicemail |
notes | string | Không | Ghi chú cuộc gọi |
Kiểm thử tại chỗ
POST
https://crm-gateways.hitechcloud.vn/v1/callsKiểm thử tại chỗGửi thử sẽ ghi dữ liệu thật trên môi trường được chọn. Nên thử trên Sandbox trước. Token không được lưu lại.
Body
cURL tạo mới
curl -X POST "https://crm-gateways.hitechcloud.vn/v1/calls" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"direction": "outbound",
"contact_id": "con_8f2a1c9d",
"duration_seconds": 320,
"outcome": "connected"
}'Phản hồi (201 Created)
{
"status": "success",
"data": {
"id": "call_9a8b7c6d",
"direction": "outbound",
"contact_id": "con_8f2a1c9d",
"deal_id": "deal_a19c330e",
"duration_seconds": 320,
"outcome": "connected",
"notes": "Khach dong y nhan bao gia",
"called_at": "2026-10-31 11:00:00",
"created_at": "2026-10-31T11:05:00+07:00"
}
}